ruby-coderay_1.1.2-2_all.deb


Advertisement

Description

ruby-coderay - Ruby library for syntax highlighting

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main amd64
Package filename ruby-coderay_1.1.2-2_all.deb
Package name ruby-coderay
Package version 1.1.2
Package release 2
Package architecture all
Package type deb
Category devel::prettyprint implemented-in::ruby role::shared-lib ruby
Homepage http://coderay.rubychan.de
License -
Maintainer Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Download size 75.21 KB
Installed size 390.00 KB
CodeRay is a Ruby library that can scan an input file or text in a web
page and encode it as syntax highlighted HTML output.
CodeRay supports many input languages including: C, C++, CSS, Delphi, diff,
Groovy, HTML, RHTML (Erb+HTML), Nitro-XHTML, Java, JavaScript, JSON, PHP,
Python, Ruby, SQL and YAML.
CodeRay can output to HTML, JSON, XML, Yaml.

Alternatives

Package Version Architecture Repository
ruby-coderay_1.1.2-2_all.deb 1.1.2 all Debian Main
ruby-coderay - - -

Requires

Name Value
ruby -
ruby-interpreter -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package ruby-coderay_1.1.2-2_all.deb
Source Package coderay

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install ruby-coderay deb package:
    # sudo apt-get install ruby-coderay

Files

Path
/usr/lib/ruby/vendor_ruby/coderay.rb
/usr/lib/ruby/vendor_ruby/coderay/duo.rb
/usr/lib/ruby/vendor_ruby/coderay/encoders.rb
/usr/lib/ruby/vendor_ruby/coderay/for_redcloth.rb
/usr/lib/ruby/vendor_ruby/coderay/scanners.rb
/usr/lib/ruby/vendor_ruby/coderay/styles.rb
/usr/lib/ruby/vendor_ruby/coderay/token_kinds.rb
/usr/lib/ruby/vendor_ruby/coderay/tokens.rb
/usr/lib/ruby/vendor_ruby/coderay/tokens_proxy.rb
/usr/lib/ruby/vendor_ruby/coderay/version.rb
/usr/lib/ruby/vendor_ruby/coderay/encoders/_map.rb
/usr/lib/ruby/vendor_ruby/coderay/encoders/comment_filter.rb
/usr/lib/ruby/vendor_ruby/coderay/encoders/count.rb
/usr/lib/ruby/vendor_ruby/coderay/encoders/debug.rb
/usr/lib/ruby/vendor_ruby/coderay/encoders/debug_lint.rb
/usr/lib/ruby/vendor_ruby/coderay/encoders/div.rb
/usr/lib/ruby/vendor_ruby/coderay/encoders/encoder.rb
/usr/lib/ruby/vendor_ruby/coderay/encoders/filter.rb
/usr/lib/ruby/vendor_ruby/coderay/encoders/html.rb
/usr/lib/ruby/vendor_ruby/coderay/encoders/json.rb
/usr/lib/ruby/vendor_ruby/coderay/encoders/lines_of_code.rb
/usr/lib/ruby/vendor_ruby/coderay/encoders/lint.rb
/usr/lib/ruby/vendor_ruby/coderay/encoders/null.rb
/usr/lib/ruby/vendor_ruby/coderay/encoders/page.rb
/usr/lib/ruby/vendor_ruby/coderay/encoders/span.rb
/usr/lib/ruby/vendor_ruby/coderay/encoders/statistic.rb
/usr/lib/ruby/vendor_ruby/coderay/encoders/terminal.rb
/usr/lib/ruby/vendor_ruby/coderay/encoders/text.rb
/usr/lib/ruby/vendor_ruby/coderay/encoders/token_kind_filter.rb
/usr/lib/ruby/vendor_ruby/coderay/encoders/xml.rb
/usr/lib/ruby/vendor_ruby/coderay/encoders/yaml.rb
/usr/lib/ruby/vendor_ruby/coderay/encoders/html/css.rb
/usr/lib/ruby/vendor_ruby/coderay/encoders/html/numbering.rb
/usr/lib/ruby/vendor_ruby/coderay/encoders/html/output.rb
/usr/lib/ruby/vendor_ruby/coderay/helpers/file_type.rb
/usr/lib/ruby/vendor_ruby/coderay/helpers/plugin.rb
/usr/lib/ruby/vendor_ruby/coderay/helpers/plugin_host.rb
/usr/lib/ruby/vendor_ruby/coderay/helpers/word_list.rb
/usr/lib/ruby/vendor_ruby/coderay/scanners/_map.rb
/usr/lib/ruby/vendor_ruby/coderay/scanners/c.rb
/usr/lib/ruby/vendor_ruby/coderay/scanners/clojure.rb
/usr/lib/ruby/vendor_ruby/coderay/scanners/cpp.rb
/usr/lib/ruby/vendor_ruby/coderay/scanners/css.rb
/usr/lib/ruby/vendor_ruby/coderay/scanners/debug.rb
/usr/lib/ruby/vendor_ruby/coderay/scanners/delphi.rb
/usr/lib/ruby/vendor_ruby/coderay/scanners/diff.rb
/usr/lib/ruby/vendor_ruby/coderay/scanners/erb.rb
/usr/lib/ruby/vendor_ruby/coderay/scanners/go.rb
/usr/lib/ruby/vendor_ruby/coderay/scanners/groovy.rb
/usr/lib/ruby/vendor_ruby/coderay/scanners/haml.rb
/usr/lib/ruby/vendor_ruby/coderay/scanners/html.rb
/usr/lib/ruby/vendor_ruby/coderay/scanners/java.rb
/usr/lib/ruby/vendor_ruby/coderay/scanners/java_script.rb
/usr/lib/ruby/vendor_ruby/coderay/scanners/json.rb
/usr/lib/ruby/vendor_ruby/coderay/scanners/lua.rb
/usr/lib/ruby/vendor_ruby/coderay/scanners/php.rb
/usr/lib/ruby/vendor_ruby/coderay/scanners/python.rb
/usr/lib/ruby/vendor_ruby/coderay/scanners/raydebug.rb
/usr/lib/ruby/vendor_ruby/coderay/scanners/ruby.rb
/usr/lib/ruby/vendor_ruby/coderay/scanners/sass.rb
/usr/lib/ruby/vendor_ruby/coderay/scanners/scanner.rb
/usr/lib/ruby/vendor_ruby/coderay/scanners/sql.rb
/usr/lib/ruby/vendor_ruby/coderay/scanners/taskpaper.rb
/usr/lib/ruby/vendor_ruby/coderay/scanners/text.rb
/usr/lib/ruby/vendor_ruby/coderay/scanners/xml.rb
/usr/lib/ruby/vendor_ruby/coderay/scanners/yaml.rb
/usr/lib/ruby/vendor_ruby/coderay/scanners/java/builtin_types.rb
/usr/lib/ruby/vendor_ruby/coderay/scanners/ruby/patterns.rb
/usr/lib/ruby/vendor_ruby/coderay/scanners/ruby/string_state.rb
/usr/lib/ruby/vendor_ruby/coderay/styles/_map.rb
/usr/lib/ruby/vendor_ruby/coderay/styles/alpha.rb
/usr/lib/ruby/vendor_ruby/coderay/styles/style.rb
/usr/share/doc/ruby-coderay/changelog.Debian.gz
/usr/share/doc/ruby-coderay/copyright
/usr/share/rubygems-integration/all/specifications/coderay-1.1.2.gemspec

Changelog

2018-01-13 - HIGUCHI Daisuke (VDR dai) <dai@debian.org>
coderay (1.1.2-2) unstable; urgency=medium
[ HIGUCHI Daisuke (VDR dai) ]
* eliminate lintian warning: unnecessary-team-upload
* Move Vcs-* to salsa.debian.org
* Bump debhelper compatibility level to 11
* Update Standards-Version to 4.1.3
2017-10-23 - HIGUCHI Daisuke (VDR dai) <dai@debian.org>
coderay (1.1.2-1) unstable; urgency=medium
[ Cédric Boutillier ]
* Use https:// in Vcs-* fields
[ Antonio Terceiro ]
* Remove myself from Uploaders:
[ HIGUCHI Daisuke (VDR dai) ]
* set Maintainer as pkg-ruby-extras-maintainers with ex-maintainer's request.
* Imported Upstream version 1.1.2.
* Add myself to Uploaders.
* eliminate lintian warning: debian-watch-uses-insecure-uri
* eliminate lintian warning: unused-override
* d/p/0001-Remove-rubygems-depends.patch: restore lacking strings.
* d/p/0000-restore_tests_and_rake_tasks_v1.1.2.patch:
restore tests and rake_tasks v1.1.2.
* d/p/0002-Add-lack-file-for-UnitTest.patch: removed, imported upstream.
* use newer test.
- d/control: update b-d:
- d/ruby-tests.rb: added.
- d/ruby-test-files.yaml: removed.
- d/rules: remove test generated files.
- d/tests/: add for autopkgtest-pkg-ruby.
* Bump compat to 10.
* Bump Standards-Version to 4.1.1 (no further changes)
2016-03-01 - Christian Hofstaedtler <zeha@debian.org>
coderay (1.1.1-1) unstable; urgency=medium
* Team upload.
* Imported Upstream version 1.1.1, adds upstream support for Ruby 2.3.
* Update packaging using dh-make-ruby -w
2015-08-19 - Sebastien Badia <seb@sebian.fr>
coderay (1.1.0-4) unstable; urgency=medium
* Team upload.
* Upload to unstable.
2015-04-10 - Sebastien Badia <seb@sebian.fr>
coderay (1.1.0-3~exp1) experimental; urgency=medium
* Team upload.
* Target experimental and build with ruby 2.2.
* Lintian: fix copyright issue (wildcard-matches-nothing-in-dep5-copyright)
* Bump Standards-Version to 3.9.6 (no further changes)
* Update Vcs-Browser to cgit URL and HTTPS
2014-09-13 - Antonio Terceiro <terceiro@debian.org>
coderay (1.1.0-2) unstable; urgency=medium
* Rebuild against newer gem2deb to have rubygems-integration support for all
Ruby versions.
2013-09-04 - Youhei SASAKI <uwabami@gfd-dennou.org>
coderay (1.1.0-1) unstable; urgency=low
* Imported Upstream version 1.1.0
* Drop transitional packages
2013-05-28 - Youhei SASAKI <uwabami@gfd-dennou.org>
coderay (1.0.9-1) unstable; urgency=low
[ Cédric Boutillier ]
* Team upload.
* debian/control: remove obsolete DM-Upload-Allowed flag
* use canonical URI in Vcs-* fields
[ Youhei SASAKI ]
* Imported Upstream version 1.0.9
* Bump Standard Version: 3.9.4
2013-01-20 - Youhei SASAKI <uwabami@gfd-dennou.org>
coderay (1.0.8-1) experimental; urgency=low
* Imported Upstream version 1.0.8
* Add ruby-redcloth into Build-Depends
* Format URI update: DEP5 -> Formant/1.0
2012-06-27 - Paul van Tilburg <paulvt@debian.org>
coderay (1.0.6-2) unstable; urgency=low
* Team upload.
* Bump build dependency on gem2deb to >= 0.3.0~.

See Also

Package Description
ruby-coercible_1.0.0-2_all.deb powerful, flexible and configurable coercion library
ruby-coffee-rails_4.2.2-1_all.deb Coffee Script adapter for the Rails asset pipeline
ruby-coffee-script-source_1.10.0-1_all.deb CoffeeScript Compiler - Ruby integration
ruby-coffee-script_2.4.1-1_all.deb Ruby CoffeeScript Compiler
ruby-color_1.8-2_all.deb Ruby library to provide RGB, CMYK and other colorspace support
ruby-colorator_1.1.0-1_all.deb String core extensions for terminal coloring
ruby-colored_1.2-2_all.deb library to add colors or attributes to text
ruby-colorize_0.8.1-1_all.deb color methods to Ruby String class
ruby-columnize_0.9.0-1_all.deb Ruby library to format arrays as column-aligned strings
ruby-combustion_1.0.0-2_all.deb elegant rails engine testing
ruby-commander_4.4.5-1_all.deb Ruby command-line interface library
ruby-commonmarker_0.17.9-1_amd64.deb CommonMark parser and renderer - Written in C, wrapped in Ruby
ruby-compat-resource_12.10.5-1_all.deb cookbook with some features of Chef 12.5 in previous 12.X releases
ruby-concurrent-ext_1.0.5-1+b2_amd64.deb C extensions to optimize concurrent-ruby under MRI
ruby-concurrent_1.0.5-3_all.deb modern concurrency tools for Ruby
Advertisement
Advertisement